Bug 1164816 - RFE: determine dependencies and build in order
Summary: RFE: determine dependencies and build in order
Keywords:
Status: NEW
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Copr Team
QA Contact:
URL:
Whiteboard:
Depends On: 858570
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-17 15:19 UTC by Brian J. Murrell
Modified: 2020-03-19 02:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1149887 0 unspecified CLOSED RFE: Allow defining depended copr projects 2021-02-22 00:41:40 UTC

Internal Links: 1149887

Description Brian J. Murrell 2014-11-17 15:19:32 UTC
Description of problem:
If I submit a new build with multiple SRPMs where there is a build dependency between two (or some) of them, Copr should build these in the correct order.

Version-Release number of selected component (if applicable):
Whatever is currently on https://copr.fedoraproject.org

How reproducible:
100%

Steps to Reproduce:
1. Create two SRPMs, foo and bar where foo takes longer to build than bar (to prevent racing from hiding the bug) and where bar has a BuildRequires on [the version of] the foo package.
2. Submit them both to Copr in a single build
3.

Actual results:
foo and bar will be built at the same time and bar will fail to build

Expected results:
foo should complete it's build before bar is started because bar depends on something in foo

Additional info:
An existing example of this is building evolution and evolution-ews.  The latter will typically fail because it depends on the same version of the former.


Note You need to log in before you can comment on or make changes to this bug.